Was hat sich bei 78.3 ESR technisch geändert?

Du benötigst Hilfe bezüglich Firefox? Bitte stelle deine Frage im öffentlichen Bereich des Forums und nicht per Konversation an wahllos ausgesuchte Benutzer. Wähle dazu einen passenden Forenbereich, zum Beispiel „Probleme auf Websites“ oder „Erweiterungen und Themes“ und klicke dann rechts oben auf die Schaltfläche „Neues Thema“.
  • Die alte Version starten. Dabei wird ein neues Profil erstellt. In dieses Profil dann einzeln die benötigten Daten aus dem alten Profil reinkopieren, also z.B. die Skripte usw. Wenn du das komplette Profil in die alte Version schiebst, kann das nicht funktionieren.

  • So, das habe ich jetzt auch getestet.


    - Ich habe wieder aus der jungfräulichen 68.3 ESR eine Portable gemacht, dann gestartet.

    - In den Profilordner habe ich dann nur die persönlichen Daten vom alten Profil kopiert.

    - Dann alle Erweiterungen installiert.

    - Den Ordner chrome kopiert.

    - Die config.js und die config-prefs.js kopiert.


    Funktioniert

    + Die Erweiterungen.

    + Tabs per Mittelklick oder STRG + Linke Maustaste.

    + Bei einem Ordner "Alle in Tabs öffnen".

    + Die Navigation (Datei, Bearbeiten, Ansicht, Chronik, Extras, Hilfe) sitzt rechts.


    Scripte und Code funktionieren dennoch nicht

    - Der Restart-Button ist nicht vorhanden.

    - Die Statusleiste ist weg.

    - Die Tabs sitzen nicht unten.

    - Die Buttons Vor und Zurück sitzen nicht in der Menüleiste.


    Hast Du auch die Voraussetzungen für Scripte wieder eingebaut? Siehe Firefox Anpassungen : die Basis

    Ja, denn sonst hätte es damals ja auch nicht funktioniert.

    Hier stand Blödsinn, ich war in Gedanken im falschen Ordner, es stimmt aber trotzdem alles.

    8) Gruß camel-joe


    Festes Profil: Gerade nicht vorhanden
    Portable: Die aktuelle ESR / Nightly

    4 Mal editiert, zuletzt von camel-joe () aus folgendem Grund: Ein Beitrag von camel-joe mit diesem Beitrag zusammengefügt.

  • Erfolgsmeldung. Kann es sein, dass es wieder mal an der falschen Codierung lag?

    Denn ich hatte zum Glück alte Versionen der main.js, utilities.js, config.js und config-prefs.js.


    Jetzt funktioniert es! Leider war ich zu blöd, um auch nur das Profil der 68.3 ESR extra zu sichern. Dann hätte ich das Problem gar nicht.

    Ich habe nur Backups der kompletten Portable, was ja nichts bringt, wenn beim Start ein Update durchgeführt wird.

    8) Gruß camel-joe


    Festes Profil: Gerade nicht vorhanden
    Portable: Die aktuelle ESR / Nightly

  • Jetzt habe ich zwar wieder die 68.3 ESR wie sie vor dem Update war, aber leider ist die alte Version ja nicht Sinn der Sache.


    Welche Dateien müssen nun bearbeitet werden, damit ich das wieder bei der 78.3 ESR habe?


    - Den Restart-Button.

    Erledigt. Ich habe mal aus diesem Thread den Code aus #2 getestet. Und siehe da, er funktioniert.


    Dann fehlt noch das:


    - Die Tabs unten.

    - Die Navigation auf der rechten Seite.

    - Die Statusleiste.


    8) Gruß camel-joe


    Festes Profil: Gerade nicht vorhanden
    Portable: Die aktuelle ESR / Nightly

    Einmal editiert, zuletzt von camel-joe ()

  • Zu 1 als Script: RestartFirefoxButtonM.uc.js

    Zu 2 für die userChrome.css:


    Zu 4 als Script: Addonleiste.uc.js


    Zu 3.

    Welchen Code benutzt du denn bis jetzt dazu?

    Eigentlich sollte der noch funktionieren.:/

  • - Restart funktioniert.

    - Addonleiste funktioniert.


    Die Tabs kann ich nicht in der userChrome.css testen, weil unter der 78.3 ESR die Erweiterungen nicht funktionieren.

    Siehe #1 - Meine Erweiterungen gehen nicht mehr.


    - Open Link with New Tab und Tab Mix - Links sind ohne Funktion.

    - Ich kann keinen Link per Mittelklick oder STRG + Linke Maustaste in einem neuen Tab öffnen. Da rührt sich nichts.

    - Wenn ich bei einem Ordner "Alle in Tabs öffnen" auswähle, dann öffnet sich nur das erste Lesezeichen aus diesem Ordner.


    Und der Code zu 3? Gute Frage!


    Ich habe mal getestet, das ging prompt in die Hose. Wie kann man denn den userChromeJS-Cache manuell löschen?


    Zur Erklärung:


    Ich habe aus dem Ordner chrome Schritt für Schritt alle Dateien gelöscht. Um zu sehen, welcher Code es ist , so wie man Erweiterungen nach und nach deaktiviert, um Fehler herauszufinden. Am Ende war der Ordner chrome leer, die Navigation aber immer noch auf der rechten Seite.


    Nach dem Neustart war die Navigation auf der linken Seite, was logisch ist, weil ich ja die dementsprechende Datei gelöscht hatte.

    Kein Problem, dachte ich, stellte den Ordner chrome wieder her, aber nach dem erneuten Neustart wird alles aus dem Ordner chrome ignoriert. Was vermutlich am Cache liegt, den ich nicht löschen kann, weil der Restart-Button nicht angezeigt wird. :D

    8) Gruß camel-joe


    Festes Profil: Gerade nicht vorhanden
    Portable: Die aktuelle ESR / Nightly

    3 Mal editiert, zuletzt von camel-joe ()

  • nicht in der userChrome.css testen, weil unter der 78.3 ESR die Erweiterungen nicht funktionieren.

    Dafür brauchst du doch keine Erweiterung:/

    Erweiterungen wie Stylish oder Stylus funktionieren nicht (mehr) zum Ändern der Optik vom Fx.

    Das weiß ich, ich kann aber Deinen Code für die Tabs in der userChrome.css gar nicht testen, weil bei mir absolut gar nichts mit Tabs funktioniert. Ich kann generell keine Tabs öffnen.


    Die Erweiterungen Open Link with New Tab und Tab Mix - Links sind ohne Funktion.


    Ich kann auch keinen Link per Mittelklick oder STRG + Linke Maustaste in einem neuen Tab öffnen.

    Wenn ich bei einem Ordner "Alle in Tabs öffnen" auswähle, dann öffnet sich nur das erste Lesezeichen aus diesem Ordner.


    Auch beim Klick mit der rechten Maustaste auf ein Lesezeichen öffnet sich kein neuer Tab, wenn ich "In neuem Tab öffnen" auswähle.

    Da wird dann nur die schon geöffnete Seite überschrieben.

    8) Gruß camel-joe


    Festes Profil: Gerade nicht vorhanden
    Portable: Die aktuelle ESR / Nightly

    4 Mal editiert, zuletzt von camel-joe ()

  • Oh man, dann scheint dein Fx Profil wohl völlig im Eimer zu sein:/

    Ich weiß nicht, ob es am Profil liegt, denn ich habe ja als Test die 68.3 ESR neu erstellt (siehe #23).

    Danach habe ich das Update auf 78.3 ESR gemacht, prompt funktionieren die Erweiterungen nicht mehr.

    8) Gruß camel-joe


    Festes Profil: Gerade nicht vorhanden
    Portable: Die aktuelle ESR / Nightly

  • Die Erweiterungen Open Link with New Tab und Tab Mix - Links sind ohne Funktion.

    Erstere wurde vor drei Jahren das letzte Mal aktualisiert und letztere vor zwei Jahren. Bei Open Link with New Tab zeigen die Bewertungen der letzten 8 Monate, dass die Erweiterungen nicht (immer) funktioniert. Bei Webextensions gibt es zwar im allgemeinen nicht mehr solche Kompatibilitätsprobleme wie bei den Erweiterungen alten Typs, aber Firefox entwickelt sich weiter und auch die Webextensions API. Die Entwickler von Webextensions müssen daher ihre Erweiterungen weiterhin aktuell halten.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook

  • Es funktionieren jetzt nur noch WebExtensions.


    Das war in Firefox 68 aber auch schon so. Und sogar in der ESR-Version davor, Firefox 60, ebenfalls schon. Also etwas anderes als WebExtensions dürfte er eh nicht installiert haben. ;)


    Dass die Erweiterungen mit Firefox 78 nicht kompatibel sind, kann natürlich trotzdem sein (nicht geprüft).

  • Dann bin ich ja auf eine Art beruhigt, für die 2 Tab-Erweiterungen suche ich einstweilen Ersatz und wenn die Navigation wieder auf der rechten Seite ist, dann passt alles wieder (bis zum nächsten Jahr).

    8) Gruß camel-joe


    Festes Profil: Gerade nicht vorhanden
    Portable: Die aktuelle ESR / Nightly

  • Bei Erweiterungen ist es auch relevant, ob du den privaten Modus verwendest oder keine Chronik anlegen lässt, was dem privaten Modus entspricht. Dann musst du die Erweiterungen für den privaten Modus erlauben. Das trifft dann aber auf alle Erweiterungen zu.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook

  • Denn was ich nicht verstehe, ich habe ja jetzt wieder die Version 68.3 ESR, mit dem alten Profil aus der 68.3 ESR, wo Scripte und CSS-Code funktioniert haben. Aber warum funktionieren die Scripte nicht mehr? Könnte es sein, dass das Update von 68.3 ESR auf 78.3 ESR mir wesentliche Dateien im Profil der 68.3 ESR verändert hat? Falls dem so ist, wie kann ich das rückgängig machen?

    Du überspringst zehn Versionen und mittlerweile sind wir schon drei Versionen weiter. Was glaubst du denn, was da in der Zwischenzeit alles schon passiert ist?


    CSS-Codes und Skripte können von einer Version auf die andere nicht mehr funktionieren. Folgende wichtige Voraussetzungen gibt es jetzt für CSS-Codes und Skripte:


    In @-moz-document-Regeln müssen alle angegebenen Firefox-Dateien die Endung .xhtml statt .xul haben:


    @-moz-document url-prefix("chrome://browser/content/browser.xhtml")


    Bis Fx 68:


    @-moz-document url-prefix("chrome://browser/content/browser.xul")


    Es gibt keine Dateien mit der Endung .xul mehr.


    Damit CSS-Codes überhaupt funktionieren muss seit Fx 69 in about:config die Einstellung


    toolkit.legacyUserProfileCustomizations.stylesheets


    auf true gesetzt werden.


    Das gilt seit Fx 69.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook

  • Die Erweiterungen Open Link with New Tab und Tab Mix - Links sind ohne Funktion.

    Ganz ohne Erweiterung:


    Links aus der Adressleiste in neuem Tab: about:config - browser.urlbar.openintab auf true setzen


    Links aus der Suchzeile in neuem Tab: about:config - browser.search.openintab auf true setzen


    Links aus den Lesezeichen in neuem Tab: about:config - browser.tabs.loadBookmarksInTabs auf true setzen


    Links im Vordergrund öfnen: about:config browser.tabs.loadBookmarksInBackground auf false setzen

  • Du überspringst zehn Versionen...

    Nicht mit Absicht, denn ich frage mich, warum bei mir kein Update ab der Version 68.4 ESR - 68.9 ESR installiert wurde.


    Road-Runner


    Danke, das funktioniert prima!

    8) Gruß camel-joe


    Festes Profil: Gerade nicht vorhanden
    Portable: Die aktuelle ESR / Nightly